package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Params;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.util.EntityUtils;
import org.nlsd.common.BaseResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.List;

/**
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class ApiController {

    Logger logger = LoggerFactory.getLogger(getClass());

    PointPosition pointPosition = new PointPosition();
    @Resource
    HttpClientService httpClientService;

    @GetMapping("/data")
    public String data(String params) {

        CloseableHttpClient httpClient = HttpClientBuilder.create().build();

        // 创建Post请求
        HttpPost httpPost = new HttpPost("http://10.71.141.78:39320/iotgateway/read");

        String var1 = pointPosition.getPointPosition(params);
        if (var1 == null || var1.isEmpty()){
            return "暂无参数的匹配项目!!! :(";
        }

        HttpEntity httpEntity = new StringEntity(pointPosition.getPointPosition(params), StandardCharsets.UTF_8);

        httpPost.setEntity(httpEntity);

        // 设置ContentType(注:如果只是传普通参数的话,ContentType不一定非要用application/json)
        httpPost.setHeader("Content-Type", "application/json;charset=utf8");

        // 响应模型
        CloseableHttpResponse response = null;
        try {
            response = httpClient.execute(httpPost);
            HttpEntity responseEntity = response.getEntity();

            System.out.println("响应状态为:" + response.getStatusLine());
            if (responseEntity != null) {
                return EntityUtils.toString(responseEntity);
            }
        } catch (IOException e) {
            logger.error(e.getMessage());
        } finally {
            try {
                // 释放资源
                if (httpClient != null) {
                    httpClient.close();
                }
                if (response != null) {
                    response.close();
                }
            } catch (IOException e) {
                logger.error(e.getMessage());
            }
        }
        return "查出的信息为null";
    }

    @PostMapping("/data")
    public BaseResponse<List<ReadResults>> dataV2(@RequestBody Params params) {

        String var = params.getPointPositions();

        if (var == null || var.isEmpty()){
            return new BaseResponse<>(400,"Bad Request",null,"参数不正确");
        }
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
        return new BaseResponse<>(200,"OK",readResultsList);
    }

    @PostMapping("dataV2")
    public BaseResponse<List<ReadResults>> test(@RequestBody Params params) {

        String var =  pointPosition.getPointPosition(params.getPointPosition());

        if (var == null || var.isEmpty()){
            return new BaseResponse<>(400,"Bad Request",null,"没有匹配项");
        }
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
        return new BaseResponse<>(200,"OK",readResultsList);

    }


}
