package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.TestData;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Djjkcrq {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/djjkcrq")
    public BaseResponse<JSONObject> data(){


//        String var = pointPosition.getPointPosition("");
//        String res = httpClientService.httpService(var);
//        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
//        List<ReadResults> readResultsList = wrapper.getReadResults();
        TestData testData = new TestData();
        List<ReadResults> readResultsList = testData.getListData();
        List<Npvo<String>> list = new ArrayList<>();
        list.add(new Npvo<>("停车倒计时",readResultsList.get(0).getV()));
        list.add(new Npvo<>("猴车速度",readResultsList.get(1).getV()+"m/s"));
        list.add(new Npvo<>("制动闸压力",readResultsList.get(2).getV()+"Mpa"));
        List<Npvo<String>> statusList = new ArrayList<>();
        statusList.add(new Npvo<>("欠速保护",readResultsList.get(3).getV()));
        statusList.add(new Npvo<>("尾轮限位",readResultsList.get(4).getV()));
        statusList.add(new Npvo<>("机尾越位",readResultsList.get(5).getV()));
        statusList.add(new Npvo<>("重锤落地",readResultsList.get(6).getV()));
        statusList.add(new Npvo<>("绳张紧",readResultsList.get(7).getV()));
        statusList.add(new Npvo<>("主电机超温",readResultsList.get(8).getV()));
        statusList.add(new Npvo<>("机尾吊椅间距保护",readResultsList.get(9).getV()));
        statusList.add(new Npvo<>("掉绳保护",readResultsList.get(10).getV()));
        statusList.add(new Npvo<>("油温过低",readResultsList.get(11).getV()));
        statusList.add(new Npvo<>("抱闸失控",readResultsList.get(12).getV()));
        statusList.add(new Npvo<>("超温保护",readResultsList.get(13).getV()));
        statusList.add(new Npvo<>("机头越位",readResultsList.get(14).getV()));
        statusList.add(new Npvo<>("断轴保护",readResultsList.get(15).getV()));
        statusList.add(new Npvo<>("打滑保护",readResultsList.get(16).getV()));
        statusList.add(new Npvo<>("液压站超温",readResultsList.get(17).getV()));
        statusList.add(new Npvo<>("主电机断电",readResultsList.get(18).getV()));
        statusList.add(new Npvo<>("安全闸保护",readResultsList.get(19).getV()));
        statusList.add(new Npvo<>("断绳保护",readResultsList.get(20).getV()));
        statusList.add(new Npvo<>("沿线急停",readResultsList.get(21).getV()));
        statusList.add(new Npvo<>("减速机超温",readResultsList.get(22).getV()));
        List<Npvo<String>> paramsList = new ArrayList<>();
        paramsList.add(new Npvo<>("母线电压",readResultsList.get(23).getV()));
        paramsList.add(new Npvo<>("输入电压",readResultsList.get(24).getV()));
        paramsList.add(new Npvo<>("输入电流",readResultsList.get(25).getV()));
        paramsList.add(new Npvo<>("输入频率",readResultsList.get(26).getV()));
        paramsList.add(new Npvo<>("有功功率",readResultsList.get(27).getV()));
        paramsList.add(new Npvo<>("无功功率",readResultsList.get(28).getV()));
        paramsList.add(new Npvo<>("变频温度",readResultsList.get(29).getV()));
        paramsList.add(new Npvo<>("逆母线电压",readResultsList.get(30).getV()));
        paramsList.add(new Npvo<>("输出电压",readResultsList.get(31).getV()));
        paramsList.add(new Npvo<>("输出转矩",readResultsList.get(32).getV()));
        paramsList.add(new Npvo<>("输出频率",readResultsList.get(33).getV()));
        paramsList.add(new Npvo<>("电机速度",readResultsList.get(34).getV()));
        paramsList.add(new Npvo<>("输出电流",readResultsList.get(35).getV()));
        paramsList.add(new Npvo<>("输出功率",readResultsList.get(36).getV()));
        paramsList.add(new Npvo<>("输入功率",readResultsList.get(37).getV()));
        paramsList.add(new Npvo<>("交频温度",readResultsList.get(38).getV()));

        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("statusList",statusList);
        result.put("paramsList",paramsList);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
