package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.StatusVo;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Fljyfjk {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/fljyf")
    public BaseResponse<JSONObject> data(){

        String var = pointPosition.getPointPosition("qsyfljyf");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Map<String, Object>> dataList = new ArrayList<>();
        List<Npvo<List<String>>> m = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(0).getV());
        m.add(new Npvo<>("运行时间(h)",var1));
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(1).getV());
        m.add(new Npvo<>("加载时间(s)",var2));
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(2).getV());
        m.add(new Npvo<>("排气压力(MPa)", var3));
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(3).getV());
        m.add(new Npvo<>("排气温度(℃)", var4));
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(4).getV());
        m.add(new Npvo<>("电机电流(A)", var5));
        List<String> var6 = new ArrayList<>();
        var6.add(readResultsList.get(5).getV());
        m.add(new Npvo<>("油气桶压力(MPa)", var6));
        List<String> var7 = new ArrayList<>();
        var7.add(readResultsList.get(6).getV());
        m.add(new Npvo<>("油气桶温度(℃)", var7));
        List<Npvo<List<StatusVo>>> m0_1 = new ArrayList<>();
        List<StatusVo> var8 = new ArrayList<>();
        var8.add(new StatusVo(readResultsList.get(7).getV()));
        m0_1.add(new Npvo<>("KYJ自动运行停机",var8));
        List<StatusVo> var9 = new ArrayList<>();
        var9.add(new StatusVo(readResultsList.get(8).getV()));
        m0_1.add(new Npvo<>("KYJ排气压力异常", var9));
        List<StatusVo> var10 = new ArrayList<>();
        var10.add(new StatusVo(readResultsList.get(9).getV()));
        m0_1.add(new Npvo<>("KYJ风机接触器故障", var10));
        List<StatusVo> var11 = new ArrayList<>();
        var11.add(new StatusVo(readResultsList.get(10).getV()));
        m0_1.add(new Npvo<>("KYJ主接触器故障", var11));
        List<StatusVo> var12 = new ArrayList<>();
        var12.add(new StatusVo(readResultsList.get(11).getV()));
        m0_1.add(new Npvo<>("KYJ油压过低", var12));
        List<StatusVo> var13 = new ArrayList<>();
        var13.add(new StatusVo(readResultsList.get(12).getV()));
        m0_1.add(new Npvo<>("KYJA\\D故障", var13));
        List<StatusVo> var14 = new ArrayList<>();
        var14.add(new StatusVo(readResultsList.get(13).getV()));
        m0_1.add(new Npvo<>("KYJ风机过电流", var14));
        List<StatusVo> var15 = new ArrayList<>();
        var15.add(new StatusVo(readResultsList.get(14).getV()));
        m0_1.add(new Npvo<>("KYJ排气高温", var15));
        List<StatusVo> var16 = new ArrayList<>();
        var16.add(new StatusVo(readResultsList.get(15).getV()));
        m0_1.add(new Npvo<>("KYJ油滤压差", var16));
        List<StatusVo> var17 = new ArrayList<>();
        var17.add(new StatusVo(readResultsList.get(16).getV()));
        m0_1.add(new Npvo<>("KYJ相序错误", var17));
        List<StatusVo> var18 = new ArrayList<>();
        var18.add(new StatusVo(readResultsList.get(17).getV()));
        m0_1.add(new Npvo<>("KYJ主电机过流", var18));
        List<StatusVo> var19 = new ArrayList<>();
        var19.add(new StatusVo(readResultsList.get(18).getV()));
        m0_1.add(new Npvo<>("KYJ空滤压差", var19));
        List<StatusVo> var20 = new ArrayList<>();
        var20.add(new StatusVo(readResultsList.get(19).getV()));
        m0_1.add(new Npvo<>("KYJ油细压差", var20));
        List<StatusVo> var21 = new ArrayList<>();
        var21.add(new StatusVo(readResultsList.get(20).getV()));
        m0_1.add(new Npvo<>("重故障", var21));
        List<StatusVo> var22 = new ArrayList<>();
        var22.add(new StatusVo(readResultsList.get(21).getV()));
        m0_1.add(new Npvo<>("轻故障", var22));

        for (Npvo<List<String>> mTmp : m){
            Map<String, Object> mMap = new HashMap<>();
            mMap.put("name",mTmp.getName());
            mMap.put("params",mTmp.getParams());
            dataList.add(mMap);
        }
        for (Npvo<List<StatusVo>> mTmp0_1 : m0_1){
            Map<String, Object> m0_1Map = new HashMap<>();
            m0_1Map.put("name", mTmp0_1.getName());
            m0_1Map.put("params", mTmp0_1.getParams());
            dataList.add(m0_1Map);
        }

        List<Map<String, Object>> dataList1 = new ArrayList<>();
        List<Npvo<List<String>>> m1 = new ArrayList<>();
        List<String> var23 = new ArrayList<>();
        var23.add(readResultsList.get(22).getV());
        m1.add(new Npvo<>("运行时间(h)", var23));
        List<String> var24 = new ArrayList<>();
        var24.add(readResultsList.get(23).getV());
        m1.add(new Npvo<>("加载时间(s)", var24));
        List<String> var25 = new ArrayList<>();
        var25.add(readResultsList.get(24).getV());
        m1.add(new Npvo<>("排气压力(MPa)", var25));
        List<String> var26 = new ArrayList<>();
        var26.add(readResultsList.get(25).getV());
        m1.add(new Npvo<>("排气温度(℃)", var26));
        List<String> var27 = new ArrayList<>();
        var27.add(readResultsList.get(26).getV());
        m1.add(new Npvo<>("电机电流(A)", var27));
        List<String> var28 = new ArrayList<>();
        var28.add(readResultsList.get(27).getV());
        m1.add(new Npvo<>("油气桶压力(MPa)", var28));
        List<String> var29 = new ArrayList<>();
        var29.add(readResultsList.get(28).getV());
        m1.add(new Npvo<>("油气桶温度(℃)", var29));
        List<Npvo<List<StatusVo>>> m1_1 = new ArrayList<>();
        List<StatusVo> var30 = new ArrayList<>();
        var30.add(new StatusVo(readResultsList.get(29).getV()));
        m1_1.add(new Npvo<>("KYJ自动运行停机", var30));
        List<StatusVo> var31 = new ArrayList<>();
        var31.add(new StatusVo(readResultsList.get(30).getV()));
        m1_1.add(new Npvo<>("KYJ排气压力异常", var31));
        List<StatusVo> var32 = new ArrayList<>();
        var32.add(new StatusVo(readResultsList.get(31).getV()));
        m1_1.add(new Npvo<>("KYJ风机接触器故障", var32));
        List<StatusVo> var33 = new ArrayList<>();
        var33.add(new StatusVo(readResultsList.get(32).getV()));
        m1_1.add(new Npvo<>("KYJ主接触器故障", var33));
        List<StatusVo> var34 = new ArrayList<>();
        var34.add(new StatusVo(readResultsList.get(33).getV()));
        m1_1.add(new Npvo<>("KYJ油压过低", var34));
        List<StatusVo> var35 = new ArrayList<>();
        var35.add(new StatusVo(readResultsList.get(34).getV()));
        m1_1.add(new Npvo<>("KYJA\\D故障", var35));
        List<StatusVo> var36 = new ArrayList<>();
        var36.add(new StatusVo(readResultsList.get(35).getV()));
        m1_1.add(new Npvo<>("KYJ风机过电流", var36));
        List<StatusVo> var37 = new ArrayList<>();
        var37.add(new StatusVo(readResultsList.get(36).getV()));
        m1_1.add(new Npvo<>("KYJ排气高温", var37));
        List<StatusVo> var38 = new ArrayList<>();
        var38.add(new StatusVo(readResultsList.get(37).getV()));
        m1_1.add(new Npvo<>("KYJ油滤压差", var38));
        List<StatusVo> var39 = new ArrayList<>();
        var39.add(new StatusVo(readResultsList.get(38).getV()));
        m1_1.add(new Npvo<>("KYJ相序错误", var39));
        List<StatusVo> var40 = new ArrayList<>();
        var40.add(new StatusVo(readResultsList.get(39).getV()));
        m1_1.add(new Npvo<>("KYJ主电机过流", var40));
        List<StatusVo> var41 = new ArrayList<>();
        var41.add(new StatusVo(readResultsList.get(40).getV()));
        m1_1.add(new Npvo<>("KYJ空滤压差", var41));
        List<StatusVo> var42 = new ArrayList<>();
        var42.add(new StatusVo(readResultsList.get(41).getV()));
        m1_1.add(new Npvo<>("KYJ油细压差", var42));
        List<StatusVo> var43 = new ArrayList<>();
        var43.add(new StatusVo(readResultsList.get(42).getV()));
        m1_1.add(new Npvo<>("重故障", var43));
        List<StatusVo> var44 = new ArrayList<>();
        var44.add(new StatusVo(readResultsList.get(43).getV()));
        m1_1.add(new Npvo<>("轻故障", var44));

        for (Npvo<List<String>> mTmp : m1){
            Map<String, Object> mMap = new HashMap<>();
            mMap.put("name",mTmp.getName());
            mMap.put("params",mTmp.getParams());
            dataList1.add(mMap);
        }
        for (Npvo<List<StatusVo>> mTmp0_1 : m1_1){
            Map<String, Object> m0_1Map = new HashMap<>();
            m0_1Map.put("name", mTmp0_1.getName());
            m0_1Map.put("params", mTmp0_1.getParams());
            dataList1.add(m0_1Map);
        }

        List<Map<String,Object>> list = new ArrayList<>();
        Map<String,Object> map1 = new HashMap<>();
        map1.put("name","副立井1#空压机");
        map1.put("status",1);
        list.add(map1);
        Map<String,Object> map2 = new HashMap<>();
        map2.put("name","副立井2#空压机");
        map2.put("status",1);
        list.add(map2);


        JSONObject result = new JSONObject();
        result.put("m",dataList);
        result.put("m1",dataList1);
        result.put("list",list);
        return new BaseResponse<>(200,"OK",result,"请求成功");


    }




}
