package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 副斜井绞车
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Fxjjc {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/fxjjc")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyfxjjc");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Npvo<String>> list = new ArrayList<>();
        list.add(new Npvo<>("运行速度",readResultsList.get(0).getV()+"M/S"));
        list.add(new Npvo<>("电机电流",readResultsList.get(1).getV()+"A"));
        list.add(new Npvo<>("电机温度1",readResultsList.get(2).getV()+"℃"));
        list.add(new Npvo<>("电机温度2",readResultsList.get(3).getV()+"℃"));
        list.add(new Npvo<>("电机温度3",readResultsList.get(4).getV()+"℃"));
        list.add(new Npvo<>("电机温度4",readResultsList.get(5).getV()+"℃"));
        list.add(new Npvo<>("电机前轴温度",readResultsList.get(6).getV()+"℃"));
        list.add(new Npvo<>("电机后轴温度",readResultsList.get(7).getV()+"℃"));
        List<Npvo<List<String>>> itemList = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(8).getV()+"A");
        itemList.add(new Npvo<>("主电机电流",var1));
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(9).getV()+"m/s");
        itemList.add(new Npvo<>("速度给定", var2));
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(10).getV()+"Mpa");
        itemList.add(new Npvo<>("液压站压力", var3));
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(11).getV()+"m/s");
        itemList.add(new Npvo<>("主编码速度", var4));
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(12).getV()+"M");
        itemList.add(new Npvo<>("主编码深度", var5));
        List<String> var6 = new ArrayList<>();
        var6.add(readResultsList.get(13).getV()+"m/s");
        itemList.add(new Npvo<>("副编码速度", var6));
        List<String> var7 = new ArrayList<>();
        var7.add(readResultsList.get(14).getV()+"M");
        itemList.add(new Npvo<>("副编码深度", var7));
        List<String> var8 = new ArrayList<>();
        var8.add(readResultsList.get(15).getV()+"m/s");
        itemList.add(new Npvo<>("装置速度", var8));
        List<String> var9 = new ArrayList<>();
        var9.add(readResultsList.get(16).getV()+"Mpa");
        itemList.add(new Npvo<>("润滑油压", var9));
        List<String> var10 = new ArrayList<>();
        var10.add(readResultsList.get(17).getV()+"A");
        itemList.add(new Npvo<>("励磁电流", var10));
        List<String> var11 = new ArrayList<>();
        var11.add(readResultsList.get(18).getV());
        itemList.add(new Npvo<>("去向", var11));
        List<String> var12 = new ArrayList<>();
        var12.add(readResultsList.get(19).getV());
        itemList.add(new Npvo<>("手动去向", var12));
        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("itemList",itemList);
        return new BaseResponse<>(200,"OK",result,"请求成功");
    }

}
