package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Hrz {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/hrz")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyhrz");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Npvo<String>> list = new ArrayList<>();
        list.add(new Npvo<>("水箱液位高报值","0.0"+"m"));
        list.add(new Npvo<>("水箱液位低报值","0.0"+"m"));
        list.add(new Npvo<>("软化水箱液位",readResultsList.get(0).getV()));

        List<Npvo<List<String>>> paramsList = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(1).getV());
        paramsList.add(new Npvo<>("1#板式换热器",var1));
        List<String> var1_1 = new ArrayList<>();
        var1_1.add(readResultsList.get(2).getV());
        paramsList.add(new Npvo<>("2#板式换热器", var1_1));

        List<Npvo<List<String>>> paramsList1 = new ArrayList<>();
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(3).getV());
        paramsList1.add(new Npvo<>("1#泵",var2));
        List<String> var2_1 = new ArrayList<>();
        var2_1.add(readResultsList.get(4).getV());
        paramsList1.add(new Npvo<>("2#泵", var2_1));
        List<String> var2_2 = new ArrayList<>();
        var2_2.add(readResultsList.get(5).getV());
        paramsList1.add(new Npvo<>("补水泵", var2_2));

        List<Npvo<List<String>>> paramsList2 = new ArrayList<>();
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(6).getV());
        var3.add(readResultsList.get(7).getV());
        paramsList2.add(new Npvo<>("回水罐",var3));
        List<String> var3_1 = new ArrayList<>();
        var3_1.add(readResultsList.get(8).getV());
        var3_1.add(readResultsList.get(9).getV());
        paramsList2.add(new Npvo<>("供水罐",var3_1));

        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("paramsList",paramsList);
        result.put("paramsList1",paramsList1);
        result.put("paramsList2",paramsList2);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
