package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 燃气锅炉房
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Rqglf {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/rqglf")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyrqglf");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Npvo<List<String>>> paramsList = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(0).getV()+"℃");
        paramsList.add(new Npvo<>("锅炉供水管温度",var1));
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(1).getV()+"℃");
        paramsList.add(new Npvo<>("实际目标水温", var2));
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(2).getV()+"℃");
        paramsList.add(new Npvo<>("当前室内水温", var3));
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(3).getV()+"℃");
        paramsList.add(new Npvo<>("低低控制温度", var4));
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(4).getV()+"℃");
        paramsList.add(new Npvo<>("最低控制温度", var5));
        List<String> var6 = new ArrayList<>();
        var6.add(readResultsList.get(5).getV()+"℃");
        paramsList.add(new Npvo<>("最高控制温度", var6));
        List<String> var7 = new ArrayList<>();
        var7.add(readResultsList.get(6).getV()+"℃");
        paramsList.add(new Npvo<>("出水超温", var7));
        List<String> var8 = new ArrayList<>();
        var8.add(readResultsList.get(7).getV()+"℃");
        paramsList.add(new Npvo<>("二次供水超温", var8));
        List<String> var9 = new ArrayList<>();
        var9.add(readResultsList.get(8).getV()+"Mpa");
        paramsList.add(new Npvo<>("二次回水低压", var9));
        List<String> var10 = new ArrayList<>();
        var10.add(readResultsList.get(9).getV()+"M");
        paramsList.add(new Npvo<>("水箱液位高", var10));
        List<String> var11 = new ArrayList<>();
        var11.add(readResultsList.get(10).getV()+"M");
        paramsList.add(new Npvo<>("水箱液位低", var11));
        List<String> var12 = new ArrayList<>();
        var12.add(readResultsList.get(11).getV());
        paramsList.add(new Npvo<>("锅炉供水管就地", var12));
        List<String> var13 = new ArrayList<>();
        var13.add(readResultsList.get(12).getV());
        paramsList.add(new Npvo<>("锅炉供水管2#变频", var13));
        List<String> var14 = new ArrayList<>();
        var14.add(readResultsList.get(13).getV()+"%");
        paramsList.add(new Npvo<>("锅炉供水管占比", var14));
        List<String> var15 = new ArrayList<>();
        var15.add(readResultsList.get(14).getV());
        paramsList.add(new Npvo<>("锅炉供水管3#工频", var15));
        List<String> var16 = new ArrayList<>();
        var16.add(readResultsList.get(15).getV()+"℃");
        paramsList.add(new Npvo<>("二次供水管温度", var16));
        List<String> var17 = new ArrayList<>();
        var17.add(readResultsList.get(16).getV()+"℃");
        paramsList.add(new Npvo<>("二次回水管温度", var17));
        JSONObject result = new JSONObject();
        result.put("paramsList",paramsList);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
