package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Sbf1065 {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/qsy1065sbf")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsy1065sbf");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Npvo<String>> list = new ArrayList<>();
        list.add(new Npvo<>("1#管路流量",readResultsList.get(0).getV()+"m³/h"));
        list.add(new Npvo<>("2#管路流量",readResultsList.get(1).getV()+"m³/h"));
        list.add(new Npvo<>("1#水位",readResultsList.get(2).getV()+"m"));
        list.add(new Npvo<>("2#水位",readResultsList.get(3).getV()+"m"));
        List<Npvo<List<Npvo<List<String>>>>> itemList = new ArrayList<>();
        List<Npvo<List<String>>> paramsList1 = new ArrayList<>();
        List<String> variable1 = new ArrayList<>();
        variable1.add(readResultsList.get(4).getV()+"Mpa");
        paramsList1.add(new Npvo<>("正压",variable1));
        List<String> variable1_1 = new ArrayList<>();
        variable1_1.add(readResultsList.get(5).getV()+"Mpa");
        paramsList1.add(new Npvo<>("负压",variable1_1));
        itemList.add(new Npvo<>("一号泵控制",paramsList1));
        List<Npvo<List<String>>> paramsList2 = new ArrayList<>();
        List<String> variable2 = new ArrayList<>();
        variable2.add(readResultsList.get(6).getV()+"Mpa");
        paramsList2.add(new Npvo<>("正压",variable2));
        List<String> variable2_1 = new ArrayList<>();
        variable2_1.add(readResultsList.get(7).getV()+"Mpa");
        paramsList2.add(new Npvo<>("负压",variable2_1));
        itemList.add(new Npvo<>("二号泵控制",paramsList2));
        List<Npvo<List<String>>> paramsList3 = new ArrayList<>();
        List<String> variable3 = new ArrayList<>();
        variable3.add(readResultsList.get(8).getV()+"Mpa");
        paramsList3.add(new Npvo<>("正压",variable3));
        List<String> variable3_1 = new ArrayList<>();
        variable3_1.add(readResultsList.get(9).getV()+"Mpa");
        paramsList3.add(new Npvo<>("负压",variable3_1));
        itemList.add(new Npvo<>("三号泵控制",paramsList3));
        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("itemList",itemList);
        return new BaseResponse<>(200,"OK",result,"请求成功");
    }

}
