package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.Nsvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 生产水供水
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Scsgs {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/scsgs")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyscsgs");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Npvo<String>> list = new ArrayList<>();
        list.add(new Npvo<>("管道压力",readResultsList.get(0).getV()+"Mpa"));
        list.add(new Npvo<>("瞬时流量",readResultsList.get(1).getV()+"m³/h"));
        list.add(new Npvo<>("累计流量",readResultsList.get(2).getV()+"m³"));
        List<Nsvo<String>> statusList = new ArrayList<>();
        statusList.add(new Nsvo<>("1#阀门",readResultsList.get(3).getV()));
        statusList.add(new Nsvo<>("2#阀门",readResultsList.get(4).getV()));
        statusList.add(new Nsvo<>("3#阀门",readResultsList.get(5).getV()));
        statusList.add(new Nsvo<>("4#阀门",readResultsList.get(6).getV()));
        statusList.add(new Nsvo<>("稳压",readResultsList.get(7).getV()));
        List<Nsvo<String>> statusList1 = new ArrayList<>();
        statusList1.add(new Nsvo<>("QSC水位低",readResultsList.get(8).getV()));
        statusList1.add(new Nsvo<>("主泵2过热",readResultsList.get(9).getV()));
        statusList1.add(new Nsvo<>("稳压泵过热",readResultsList.get(10).getV()));
        statusList1.add(new Nsvo<>("主泵3过热",readResultsList.get(11).getV()));
        statusList1.add(new Nsvo<>("JK压力低PJ4",readResultsList.get(12).getV()));
        statusList1.add(new Nsvo<>("主泵4过热",readResultsList.get(13).getV()));
        statusList1.add(new Nsvo<>("CK压力低PJ1",readResultsList.get(14).getV()));
        statusList1.add(new Nsvo<>("控制柜自动",readResultsList.get(15).getV()));
        statusList1.add(new Nsvo<>("CK压力低PJ2",readResultsList.get(16).getV()));
        statusList1.add(new Nsvo<>("控制柜手动",readResultsList.get(17).getV()));
        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("statusList",statusList);
        result.put("statusList1",statusList1);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
