package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Ndvo;
import com.jwkj.qsydw.vo.Nsvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 生活水供水
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Shsgs {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/shsgs")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyshsgs");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Ndvo<String>> list = new ArrayList<>();
        list.add(new Ndvo<>("液位高限","300m"));
        list.add(new Ndvo<>("液位低限","206m³/h"));
        list.add(new Ndvo<>("净水瞬时流量","20.0m³/h"));
        list.add(new Ndvo<>("累计流量","46512.0m³"));
        list.add(new Ndvo<>("原水池液位","243m"));
        list.add(new Ndvo<>("变频器运行频率",readResultsList.get(1).getV()));
        list.add(new Ndvo<>("变频器运行电流",readResultsList.get(2).getV()));
        list.add(new Ndvo<>("供电压力","0.45MPa"));
        list.add(new Ndvo<>("设定压力",readResultsList.get(3).getV()));
        list.add(new Ndvo<>("压力高报值","1.20MPa"));
        list.add(new Ndvo<>("压力低报值","0.03MPa"));
        list.add(new Ndvo<>("消防水池液位","2.69m"));

        List<Nsvo<String>> statusList = new ArrayList<>();
        statusList.add(new Nsvo<>("1#阀门","1"));
        statusList.add(new Nsvo<>("2#阀门","1"));
        statusList.add(new Nsvo<>("3#阀门","1"));
        statusList.add(new Nsvo<>("4#阀门","1"));
        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("statusList",statusList);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
