package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Ndvo;
import com.jwkj.qsydw.vo.Nsvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 消防水供水
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Xfsgs {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/xfsgs")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyxfsgs");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Ndvo<String>> list = new ArrayList<>();
        list.add(new Ndvo<>("管道压力",readResultsList.get(0).getV()+"Mpa"));
        list.add(new Ndvo<>("瞬时流量",readResultsList.get(1).getV()+"m³/h"));
        list.add(new Ndvo<>("累计流量",readResultsList.get(2).getV()+"m³"));
        list.add(new Ndvo<>("变频运行频率",readResultsList.get(3).getV()+"Hz"));
        list.add(new Ndvo<>("仪表设定压力",readResultsList.get(4).getV()+"Pa"));
        list.add(new Ndvo<>("变频运行电流",readResultsList.get(5).getV()+"Hz"));
        list.add(new Ndvo<>("仪表反馈压力",readResultsList.get(6).getV()+"MPa"));
        list.add(new Ndvo<>("变频故障代码",readResultsList.get(7).getV()));
        List<Nsvo<String>> statusList = new ArrayList<>();
        statusList.add(new Nsvo<>("1#阀门",readResultsList.get(8).getV()));
        statusList.add(new Nsvo<>("2#阀门",readResultsList.get(9).getV()));
        statusList.add(new Nsvo<>("3#阀门",readResultsList.get(10).getV()));
        List<Nsvo<String>> statusList1 = new ArrayList<>();
        statusList1.add(new Nsvo<>("报警水位",readResultsList.get(11).getV()));
        statusList1.add(new Nsvo<>("消防报警水位",readResultsList.get(12).getV()));
        statusList1.add(new Nsvo<>("出口压力低PJ5",readResultsList.get(13).getV()));
        statusList1.add(new Nsvo<>("消防溢流水位",readResultsList.get(14).getV()));
        statusList1.add(new Nsvo<>("JK压力低PJ6",readResultsList.get(15).getV()));
        statusList1.add(new Nsvo<>("系统故障",readResultsList.get(16).getV()));
        statusList1.add(new Nsvo<>("出口压力低",readResultsList.get(17).getV()));
        statusList1.add(new Nsvo<>("溢流水位",readResultsList.get(18).getV()));
        statusList1.add(new Nsvo<>("出口压力高",readResultsList.get(19).getV()));
        statusList1.add(new Nsvo<>("控制柜自动",readResultsList.get(20).getV()));
        statusList1.add(new Nsvo<>("软启动器1故障",readResultsList.get(21).getV()));
        statusList1.add(new Nsvo<>("控制柜手动",readResultsList.get(22).getV()));
        statusList1.add(new Nsvo<>("软启动器2故障",readResultsList.get(23).getV()));
        statusList1.add(new Nsvo<>("变频器故障",readResultsList.get(24).getV()));
        statusList1.add(new Nsvo<>("软启动器3故障",readResultsList.get(25).getV()));
        statusList1.add(new Nsvo<>("管道漏水",readResultsList.get(26).getV()));
        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("statusList",statusList);
        result.put("statusList1",statusList1);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
