package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 新锅炉房监控
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Xglfjk {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/xglfjk")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyxglfjk");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Npvo<List<String>>> paramsList = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(0).getV());
        paramsList.add(new Npvo<>("PID自动调节设定值",var1));
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(1).getV());
        paramsList.add(new Npvo<>("锅筒水位", var2));
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(2).getV());
        paramsList.add(new Npvo<>("排烟温度", var3));
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(3).getV());
        paramsList.add(new Npvo<>("锅筒压力", var4));
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(4).getV());
        paramsList.add(new Npvo<>("主蒸汽压力", var5));
        List<String> var6 = new ArrayList<>();
        var6.add(readResultsList.get(5).getV());
        paramsList.add(new Npvo<>("主蒸汽温度", var6));
        List<String> var7 = new ArrayList<>();
        var7.add(readResultsList.get(6).getV());
        paramsList.add(new Npvo<>("2#蒸汽电动阀", var7));
        JSONObject result = new JSONObject();
        result.put("paramsList", paramsList);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
