package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.StatusVo;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 制氮监控
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Zdjk {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/zdjk")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyzdjk");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Map<String,Object>> dataList = new ArrayList<>();
        List<Map<String,Object>> params = new ArrayList<>();
        Map<String,Object> map = new HashMap<>();
        map.put("name","排污阀");
        List<StatusVo> statusVoList = new ArrayList<>();
        statusVoList.add(new StatusVo(readResultsList.get(0).getV()));
        map.put("params",statusVoList);
        params.add(map);
        Map<String,Object> map1 = new HashMap<>();
        map1.put("name","1号阀");
        List<StatusVo> statusVoList1 = new ArrayList<>();
        statusVoList1.add(new StatusVo(readResultsList.get(1).getV()));
        map1.put("params", statusVoList1);
        params.add(map1);
        Map<String,Object> map2 = new HashMap<>();
        map2.put("name","2号阀");
        List<StatusVo> statusVoList2 = new ArrayList<>();
        statusVoList2.add(new StatusVo(readResultsList.get(2).getV()));
        map2.put("params", statusVoList2);
        params.add(map2);
        Map<String,Object> map3 = new HashMap<>();
        map3.put("name","3号阀");
        List<StatusVo> statusVoList3 = new ArrayList<>();
        statusVoList3.add(new StatusVo(readResultsList.get(3).getV()));
        map3.put("params", statusVoList3);
        params.add(map3);
        Map<String,Object> map4 = new HashMap<>();
        map4.put("name","系统阀");
        List<StatusVo> statusVoList4 = new ArrayList<>();
        statusVoList4.add(new StatusVo(readResultsList.get(4).getV()));
        map4.put("params", statusVoList4);
        params.add(map4);
        Map<String,Object> map5 = new HashMap<>();
        map5.put("name","排空阀");
        List<StatusVo> statusVoList5 = new ArrayList<>();
        statusVoList5.add(new StatusVo(readResultsList.get(5).getV()));
        map5.put("params", statusVoList5);
        params.add(map5);
        Map<String,Object> map6 = new HashMap<>();
        map6.put("name","送气阀");
        List<StatusVo> statusVoList6 = new ArrayList<>();
        statusVoList6.add(new StatusVo(readResultsList.get(6).getV()));
        map6.put("params", statusVoList6);
        params.add(map6);
        Map<String,Object> map7 = new HashMap<>();
        map7.put("name","压力补偿(Mpa)");
        List<String> strList7 = new ArrayList<>();
        strList7.add(readResultsList.get(7).getV());
        map7.put("params", strList7);
        params.add(map7);
        Map<String,Object> map8 = new HashMap<>();
        map8.put("name","瞬时流量(m³/h)");
        List<String> strList8 = new ArrayList<>();
        strList8.add(readResultsList.get(8).getV());
        map8.put("params", strList8);
        params.add(map8);
        Map<String,Object> map9 = new HashMap<>();
        map9.put("name","氧气含量(%)");
        List<String> strList9 = new ArrayList<>();
        strList9.add(readResultsList.get(9).getV());
        map9.put("params", strList9);
        params.add(map9);

        Map<String,Object> map_1 = new HashMap<>();
        map_1.put("name","1#制氮机");
        map_1.put("params", params);
        dataList.add(map_1);




        List<Map<String,Object>> params2 = new ArrayList<>();
        Map<String,Object> map10 = new HashMap<>();
        map10.put("name","排污阀");
        List<StatusVo> statusVoList10 = new ArrayList<>();
        statusVoList10.add(new StatusVo(readResultsList.get(10).getV()));
        map10.put("params", statusVoList10);
        params2.add(map10);
        Map<String,Object> map11 = new HashMap<>();
        map11.put("name","1号阀");
        List<StatusVo> statusVoList11 = new ArrayList<>();
        statusVoList11.add(new StatusVo(readResultsList.get(11).getV()));
        map11.put("params", statusVoList11);
        params2.add(map11);
        Map<String,Object> map12 = new HashMap<>();
        map12.put("name","2号阀");
        List<StatusVo> statusVoList12 = new ArrayList<>();
        statusVoList12.add(new StatusVo(readResultsList.get(12).getV()));
        map12.put("params", statusVoList12);
        params2.add(map12);
        Map<String,Object> map13 = new HashMap<>();
        map13.put("name","3号阀");
        List<StatusVo> statusVoList13 = new ArrayList<>();
        statusVoList13.add(new StatusVo(readResultsList.get(13).getV()));
        map13.put("params", statusVoList13);
        params2.add(map13);
        Map<String,Object> map14 = new HashMap<>();
        map14.put("name","系统阀");
        List<StatusVo> statusVoList14 = new ArrayList<>();
        statusVoList14.add(new StatusVo(readResultsList.get(14).getV()));
        map14.put("params", statusVoList14);
        params2.add(map14);
        Map<String,Object> map15 = new HashMap<>();
        map15.put("name","排空阀");
        List<StatusVo> statusVoList15 = new ArrayList<>();
        statusVoList15.add(new StatusVo(readResultsList.get(15).getV()));
        map15.put("params", statusVoList15);
        params2.add(map15);
        Map<String,Object> map16 = new HashMap<>();
        map16.put("name","送气阀");
        List<StatusVo> statusVoList16 = new ArrayList<>();
        statusVoList16.add(new StatusVo(readResultsList.get(16).getV()));
        map16.put("params", statusVoList16);
        params2.add(map16);
        Map<String,Object> map17 = new HashMap<>();
        map17.put("name","压力补偿(Mpa)");
        List<String> strList17 = new ArrayList<>();
        strList17.add(readResultsList.get(17).getV());
        map17.put("params", strList17);
        params2.add(map17);
        Map<String,Object> map18 = new HashMap<>();
        map18.put("name","瞬时流量(m³/h)");
        List<String> strList18 = new ArrayList<>();
        strList18.add(readResultsList.get(18).getV());
        map18.put("params", strList18);
        params2.add(map18);
        Map<String,Object> map19 = new HashMap<>();
        map19.put("name","氧气含量(%)");
        List<String> strList19 = new ArrayList<>();
        strList19.add(readResultsList.get(9).getV());
        map19.put("params", strList19);
        params2.add(map19);

        Map<String,Object> map_2 = new HashMap<>();
        map_2.put("name","2#制氮机");
        map_2.put("params", params2);
        dataList.add(map_2);






        List<Map<String,Object>> params3 = new ArrayList<>();
        Map<String,Object> map20 = new HashMap<>();
        map20.put("name","排污阀");
        List<StatusVo> statusVoList20 = new ArrayList<>();
        statusVoList20.add(new StatusVo(readResultsList.get(20).getV()));
        map20.put("params", statusVoList20);
        params3.add(map20);
        Map<String,Object> map21 = new HashMap<>();
        map21.put("name","1号阀");
        List<StatusVo> statusVoList21 = new ArrayList<>();
        statusVoList21.add(new StatusVo(readResultsList.get(21).getV()));
        map21.put("params", statusVoList21);
        params3.add(map21);
        Map<String,Object> map22 = new HashMap<>();
        map22.put("name","2号阀");
        List<StatusVo> statusVoList22 = new ArrayList<>();
        statusVoList22.add(new StatusVo(readResultsList.get(22).getV()));
        map22.put("params", statusVoList22);
        params3.add(map22);
        Map<String,Object> map23 = new HashMap<>();
        map23.put("name","3号阀");
        List<StatusVo> statusVoList23 = new ArrayList<>();
        statusVoList23.add(new StatusVo(readResultsList.get(23).getV()));
        map23.put("params", statusVoList23);
        params3.add(map23);
        Map<String,Object> map24 = new HashMap<>();
        map24.put("name","系统阀");
        List<StatusVo> statusVoList24 = new ArrayList<>();
        statusVoList24.add(new StatusVo(readResultsList.get(24).getV()));
        map24.put("params", statusVoList24);
        params3.add(map24);
        Map<String,Object> map25 = new HashMap<>();
        map25.put("name","排空阀");
        List<StatusVo> statusVoList25 = new ArrayList<>();
        statusVoList25.add(new StatusVo(readResultsList.get(25).getV()));
        map25.put("params", statusVoList25);
        params3.add(map25);
        Map<String,Object> map26 = new HashMap<>();
        map26.put("name","送气阀");
        List<StatusVo> statusVoList26 = new ArrayList<>();
        statusVoList26.add(new StatusVo(readResultsList.get(26).getV()));
        map26.put("params", statusVoList26);
        params3.add(map26);
        Map<String,Object> map27 = new HashMap<>();
        map27.put("name","压力补偿(Mpa)");
        List<String> strList27 = new ArrayList<>();
        strList27.add(readResultsList.get(27).getV());
        map27.put("params", strList27);
        params3.add(map27);
        Map<String,Object> map28 = new HashMap<>();
        map28.put("name","瞬时流量(m³/h)");
        List<String> strList28 = new ArrayList<>();
        strList28.add(readResultsList.get(28).getV());
        map28.put("params", strList28);
        params3.add(map28);
        Map<String,Object> map29 = new HashMap<>();
        map29.put("name","氧气含量(%)");
        List<String> strList29 = new ArrayList<>();
        strList29.add(readResultsList.get(29).getV());
        map29.put("params", strList29);
        params3.add(map29);

        Map<String,Object> map_3 = new HashMap<>();
        map_3.put("name","3#制氮机");
        map_3.put("params", params3);
        dataList.add(map_3);







        List<Map<String,Object>> params4 = new ArrayList<>();
        Map<String,Object> map30 = new HashMap<>();
        map30.put("name","排污阀");
        List<StatusVo> statusVoList30 = new ArrayList<>();
        statusVoList30.add(new StatusVo(readResultsList.get(30).getV()));
        map30.put("params", statusVoList30);
        params4.add(map30);
        Map<String,Object> map31 = new HashMap<>();
        map31.put("name","1号阀");
        List<StatusVo> statusVoList31 = new ArrayList<>();
        statusVoList31.add(new StatusVo(readResultsList.get(31).getV()));
        map31.put("params", statusVoList31);
        params4.add(map31);
        Map<String,Object> map32 = new HashMap<>();
        map32.put("name","2号阀");
        List<StatusVo> statusVoList32 = new ArrayList<>();
        statusVoList32.add(new StatusVo(readResultsList.get(32).getV()));
        map32.put("params", statusVoList32);
        params4.add(map32);
        Map<String,Object> map33 = new HashMap<>();
        map33.put("name","3号阀");
        List<StatusVo> statusVoList33 = new ArrayList<>();
        statusVoList33.add(new StatusVo(readResultsList.get(33).getV()));
        map33.put("params", statusVoList33);
        params4.add(map33);
        Map<String,Object> map34 = new HashMap<>();
        map34.put("name","系统阀");
        List<StatusVo> statusVoList34 = new ArrayList<>();
        statusVoList34.add(new StatusVo(readResultsList.get(34).getV()));
        map34.put("params", statusVoList34);
        params4.add(map34);
        Map<String,Object> map35 = new HashMap<>();
        map35.put("name","排空阀");
        List<StatusVo> statusVoList35 = new ArrayList<>();
        statusVoList35.add(new StatusVo(readResultsList.get(35).getV()));
        map35.put("params", statusVoList35);
        params4.add(map35);
        Map<String,Object> map36 = new HashMap<>();
        map36.put("name","送气阀");
        List<StatusVo> statusVoList36 = new ArrayList<>();
        statusVoList36.add(new StatusVo(readResultsList.get(36).getV()));
        map36.put("params", statusVoList36);
        params4.add(map36);
        Map<String,Object> map37 = new HashMap<>();
        map37.put("name","压力补偿(Mpa)");
        List<String> strList37 = new ArrayList<>();
        strList37.add(readResultsList.get(37).getV());
        map37.put("params", strList37);
        params4.add(map37);
        Map<String,Object> map38 = new HashMap<>();
        map38.put("name","瞬时流量(m³/h)");
        List<String> strList38 = new ArrayList<>();
        strList38.add(readResultsList.get(38).getV());
        map38.put("params", strList38);
        params4.add(map38);
        Map<String,Object> map39 = new HashMap<>();
        map39.put("name","氧气含量(%)");
        List<String> strList39 = new ArrayList<>();
        strList39.add(readResultsList.get(39).getV());
        map39.put("params", strList39);
        params4.add(map39);

        Map<String,Object> map_4 = new HashMap<>();
        map_4.put("name","4#制氮机");
        map_4.put("params", params4);
        dataList.add(map_4);



        JSONObject result = new JSONObject();
        result.put("data",dataList);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
