package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.*;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Ztfj {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/ztfj")
    public BaseResponse<JSONObject> data(){

        String var = pointPosition.getPointPosition("qsyztf");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<ZtfjVo> machineList = new ArrayList<>();
        machineList.add(new ZtfjVo("1#风机",readResultsList.get(0).getV(),readResultsList.get(1).getV(),readResultsList.get(2).getV(),readResultsList.get(3).getV()));
        machineList.add(new ZtfjVo("2#风机",readResultsList.get(4).getV(),readResultsList.get(5).getV(),readResultsList.get(6).getV(),readResultsList.get(7).getV()));
        List<Npvo<List<String>>> data = new ArrayList<>();
        List<String> params= new ArrayList<>();
        params.add(readResultsList.get(8).getV());
        params.add(readResultsList.get(19).getV());
        data.add(new Npvo<>("定子1温度℃",params));
        List<String> params1= new ArrayList<>();
        params1.add(readResultsList.get(9).getV());
        params1.add(readResultsList.get(20).getV());
        data.add(new Npvo<>("定子2温度℃",params1));
        List<String> params2= new ArrayList<>();
        params2.add(readResultsList.get(10).getV());
        params2.add(readResultsList.get(21).getV());
        data.add(new Npvo<>("定子3温度℃",params2));
        List<String> params3= new ArrayList<>();
        params3.add(readResultsList.get(11).getV());
        params3.add(readResultsList.get(22).getV());
        data.add(new Npvo<>("前轴温度℃",params3));
        List<String> params4= new ArrayList<>();
        params4.add(readResultsList.get(12).getV());
        params4.add(readResultsList.get(23).getV());
        data.add(new Npvo<>("后轴温度℃",params4));
        List<String> params5= new ArrayList<>();
        params5.add(readResultsList.get(13).getV());
        params5.add(readResultsList.get(24).getV());
        data.add(new Npvo<>("直母电压V",params5));
        List<String> params6= new ArrayList<>();
        params6.add(readResultsList.get(14).getV());
        params6.add(readResultsList.get(25).getV());
        data.add(new Npvo<>("输出电压V",params6));
        List<String> params6_1= new ArrayList<>();
        params6_1.add(readResultsList.get(15).getV());
        params6_1.add(readResultsList.get(26).getV());
        data.add(new Npvo<>("输出功率KW",params6_1));
        List<String> params7= new ArrayList<>();
        params7.add(readResultsList.get(16).getV());
        params7.add(readResultsList.get(27).getV());
        data.add(new Npvo<>("输出频率Hz",params7));
        List<String> params8= new ArrayList<>();
        params8.add(readResultsList.get(17).getV());
        params8.add(readResultsList.get(28).getV());
        data.add(new Npvo<>("水平震动mm/s",params8));
        List<String> params9= new ArrayList<>();
        params9.add(readResultsList.get(18).getV());
        params9.add(readResultsList.get(29).getV());
        data.add(new Npvo<>("垂直震动mm/s",params9));

        List<Npvo<List<String>>> data2 = new ArrayList<>();
        List<String> params10= new ArrayList<>();
        params10.add(readResultsList.get(30).getV());
        params10.add(readResultsList.get(41).getV());
        data2.add(new Npvo<>("定子1温度℃",params10));
        List<String> params11= new ArrayList<>();
        params11.add(readResultsList.get(31).getV());
        params11.add(readResultsList.get(42).getV());
        data2.add(new Npvo<>("定子2温度℃",params11));
        List<String> params12= new ArrayList<>();
        params12.add(readResultsList.get(32).getV());
        params12.add(readResultsList.get(43).getV());
        data2.add(new Npvo<>("定子3温度℃",params12));
        List<String> params13= new ArrayList<>();
        params13.add(readResultsList.get(33).getV());
        params13.add(readResultsList.get(44).getV());
        data2.add(new Npvo<>("前轴温度℃",params13));
        List<String> params14= new ArrayList<>();
        params14.add(readResultsList.get(34).getV());
        params14.add(readResultsList.get(45).getV());
        data2.add(new Npvo<>("后轴温度℃",params14));
        List<String> params15= new ArrayList<>();
        params15.add(readResultsList.get(35).getV());
        params15.add(readResultsList.get(46).getV());
        data2.add(new Npvo<>("直母电压V",params15));
        List<String> params16= new ArrayList<>();
        params16.add(readResultsList.get(36).getV());
        params16.add(readResultsList.get(47).getV());
        data2.add(new Npvo<>("输出电压V",params16));
        List<String> params17= new ArrayList<>();
        params17.add(readResultsList.get(37).getV());
        params17.add(readResultsList.get(48).getV());
        data2.add(new Npvo<>("输出功率KW",params17));
        List<String> params18= new ArrayList<>();
        params18.add(readResultsList.get(38).getV());
        params18.add(readResultsList.get(49).getV());
        data2.add(new Npvo<>("输出频率Hz",params18));
        List<String> params19= new ArrayList<>();
        params19.add(readResultsList.get(39).getV());
        params19.add(readResultsList.get(50).getV());
        data2.add(new Npvo<>("水平震动mm/s",params19));
        List<String> params20= new ArrayList<>();
        params20.add(readResultsList.get(40).getV());
        params20.add(readResultsList.get(51).getV());
        data2.add(new Npvo<>("垂直震动mm/s",params20));

        List<Npvo<List<StatusVo>>> data1 = new ArrayList<>();
        List<StatusVo> var1 = new ArrayList<>();
        var1.add(new StatusVo(readResultsList.get(52).getV()));
        data1.add(new Npvo<>("1500PLC主站通讯",var1));
        List<StatusVo> var2 = new ArrayList<>();
        var2.add(new StatusVo(readResultsList.get(53).getV()));
        data1.add(new Npvo<>("1-1变频DP通讯正常",var2));
        List<StatusVo> var3 = new ArrayList<>();
        var3.add(new StatusVo(readResultsList.get(53).getV()));
        data1.add(new Npvo<>("1-2变频DP通讯正常",var3));
        List<StatusVo> var4 = new ArrayList<>();
        var4.add(new StatusVo(readResultsList.get(53).getV()));
        data1.add(new Npvo<>("2-1变频DP通讯正常",var4));
        List<StatusVo> var5 = new ArrayList<>();
        var5.add(new StatusVo(readResultsList.get(53).getV()));
        data1.add(new Npvo<>("2-2变频DP通讯正常",var5));

        JSONObject result = new JSONObject();
        result.put("machineList",machineList);
        result.put("data",data);
        result.put("data1",data1);
        result.put("data2",data2);
        return new BaseResponse<>(200,"OK",result,"请求成功");
    }

}
