package com.jwkj.qsydw.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 *
 * 业务接口可以升级为post接口，参数类型为当前类，请求体的内容为
 * {
 *   "pointPositions":[
 *     "111",
 *     "222",
 *     "333"
 *   ],
 *   "pointPosition":"666"
 * }
 * <p>
 * 使用此接口类型可以传点位的代码（PointPosition.class中维护的），
 * 也可以传一个点位数组（需要升级控制层）
 *
 * @author Xu·LinPeng
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class Params {
    public String pointPosition;
    public List<String> pointPositions;

    public String getPointPositions() {

        if (pointPositions == null) {
            return null;
        }
        StringBuilder var = new StringBuilder("[");
        for (String p : pointPositions) {
            var.append("\"").append(p).append("\",");
        }
        var = new StringBuilder(var.substring(0, var.length() - 1));

        var.append("]");

        return var.toString();
    }

}
